/* Autogenerated file. Do not edit manually. */
/* tslint:disable */
/* eslint-disable */
import { Signer, utils, Contract, ContractFactory, Overrides } from "ethers";
import type { Provider, TransactionRequest } from "@ethersproject/providers";
import type { PromiseOrValue } from "../../../common";
import type {
  OspErrors,
  OspErrorsInterface,
} from "../../../contracts/libraries/OspErrors";

const _abi = [
  {
    inputs: [],
    name: "ArrayMismatch",
    type: "error",
  },
  {
    inputs: [],
    name: "CollectExpired",
    type: "error",
  },
  {
    inputs: [],
    name: "CollectModuleNotWhitelisted",
    type: "error",
  },
  {
    inputs: [],
    name: "CollectNotAllowed",
    type: "error",
  },
  {
    inputs: [],
    name: "CommunityConditionNotWhitelisted",
    type: "error",
  },
  {
    inputs: [],
    name: "EmergencyAdminCannotUnpause",
    type: "error",
  },
  {
    inputs: [],
    name: "FollowInvalid",
    type: "error",
  },
  {
    inputs: [],
    name: "FollowModuleNotWhitelisted",
    type: "error",
  },
  {
    inputs: [],
    name: "FollowNotApproved",
    type: "error",
  },
  {
    inputs: [],
    name: "HandleContainsInvalidCharacters",
    type: "error",
  },
  {
    inputs: [],
    name: "HandleLengthInvalid",
    type: "error",
  },
  {
    inputs: [],
    name: "HandleTaken",
    type: "error",
  },
  {
    inputs: [],
    name: "InitParamsInvalid",
    type: "error",
  },
  {
    inputs: [],
    name: "Initialized",
    type: "error",
  },
  {
    inputs: [],
    name: "InvalidCommunityId",
    type: "error",
  },
  {
    inputs: [],
    name: "InvalidParameter",
    type: "error",
  },
  {
    inputs: [],
    name: "JoinInvalid",
    type: "error",
  },
  {
    inputs: [],
    name: "JoinModuleNotWhitelisted",
    type: "error",
  },
  {
    inputs: [],
    name: "MintLimitExceeded",
    type: "error",
  },
  {
    inputs: [],
    name: "ModuleDataMismatch",
    type: "error",
  },
  {
    inputs: [],
    name: "NotCommunityOwner",
    type: "error",
  },
  {
    inputs: [],
    name: "NotGovernance",
    type: "error",
  },
  {
    inputs: [],
    name: "NotGovernanceOrEmergencyAdmin",
    type: "error",
  },
  {
    inputs: [],
    name: "NotHasProfile",
    type: "error",
  },
  {
    inputs: [],
    name: "NotJoinCommunity",
    type: "error",
  },
  {
    inputs: [],
    name: "NotOSP",
    type: "error",
  },
  {
    inputs: [],
    name: "NotOwnerOrApproved",
    type: "error",
  },
  {
    inputs: [],
    name: "NotProfileOwner",
    type: "error",
  },
  {
    inputs: [],
    name: "NotProfileOwnerOrDispatcher",
    type: "error",
  },
  {
    inputs: [],
    name: "NotSlotNFTOwner",
    type: "error",
  },
  {
    inputs: [],
    name: "NotWhitelisted",
    type: "error",
  },
  {
    inputs: [],
    name: "Paused",
    type: "error",
  },
  {
    inputs: [],
    name: "PluginAlreadyPurchased",
    type: "error",
  },
  {
    inputs: [],
    name: "PluginNotEnable",
    type: "error",
  },
  {
    inputs: [],
    name: "PublicationDoesNotExist",
    type: "error",
  },
  {
    inputs: [],
    name: "PublishingPaused",
    type: "error",
  },
  {
    inputs: [],
    name: "ReactionInvalid",
    type: "error",
  },
  {
    inputs: [],
    name: "ReferenceModuleNotWhitelisted",
    type: "error",
  },
  {
    inputs: [],
    name: "SBTTokenAlreadyExists",
    type: "error",
  },
  {
    inputs: [],
    name: "SBTTransferNotAllowed",
    type: "error",
  },
  {
    inputs: [],
    name: "SignatureExpired",
    type: "error",
  },
  {
    inputs: [],
    name: "SignatureInvalid",
    type: "error",
  },
  {
    inputs: [],
    name: "SlotNFTAlreadyUsed",
    type: "error",
  },
  {
    inputs: [],
    name: "SlotNFTNotWhitelisted",
    type: "error",
  },
  {
    inputs: [],
    name: "TokenDoesNotExist",
    type: "error",
  },
  {
    inputs: [],
    name: "TokenNotWhitelisted",
    type: "error",
  },
  {
    inputs: [],
    name: "ZeroSpender",
    type: "error",
  },
] as const;

const _bytecode =
  "0x60566037600b82828239805160001a607314602a57634e487b7160e01b600052600060045260246000fd5b30600052607381538281f3fe73000000000000000000000000000000000000000030146080604052600080fdfea2646970667358221220913fa7c9aba7dca2e6144e62037703359ee1953a8b55b3bc200316a94650816064736f6c63430008120033";

type OspErrorsConstructorParams =
  | [signer?: Signer]
  | ConstructorParameters<typeof ContractFactory>;

const isSuperArgs = (
  xs: OspErrorsConstructorParams
): xs is ConstructorParameters<typeof ContractFactory> => xs.length > 1;

export class OspErrors__factory extends ContractFactory {
  constructor(...args: OspErrorsConstructorParams) {
    if (isSuperArgs(args)) {
      super(...args);
    } else {
      super(_abi, _bytecode, args[0]);
    }
  }

  override deploy(
    overrides?: Overrides & { from?: PromiseOrValue<string> }
  ): Promise<OspErrors> {
    return super.deploy(overrides || {}) as Promise<OspErrors>;
  }
  override getDeployTransaction(
    overrides?: Overrides & { from?: PromiseOrValue<string> }
  ): TransactionRequest {
    return super.getDeployTransaction(overrides || {});
  }
  override attach(address: string): OspErrors {
    return super.attach(address) as OspErrors;
  }
  override connect(signer: Signer): OspErrors__factory {
    return super.connect(signer) as OspErrors__factory;
  }

  static readonly bytecode = _bytecode;
  static readonly abi = _abi;
  static createInterface(): OspErrorsInterface {
    return new utils.Interface(_abi) as OspErrorsInterface;
  }
  static connect(
    address: string,
    signerOrProvider: Signer | Provider
  ): OspErrors {
    return new Contract(address, _abi, signerOrProvider) as OspErrors;
  }
}
